GMETRIC(1)

NAME
gmetric - manual page for Ganglia Custom Metric Utility

SYNOPSIS
gmetric [OPTIONS]...

DESCRIPTION
The Ganglia Metric Client (gmetric) announces a metric value to all Ganglia Monitoring Daemons (gmonds) that are listening on the cluster multicast channel.

-h         --help
    Print help and exit

-V         --version
    Print version and exit

-nSTRING   --name=STRING
    Name of the metric

-vSTRING   --value=STRING
    Value of the metric

-tSTRING   --type=STRING
    Either string|int8|uint8|int16|uint16|int32|uint32|float|double

-uSTRING   --units=STRING
    Unit of measure for the value e.g. Kilobytes, Celcius

-cSTRING   --mcast_channel=STRING
    Multicast channel to send/receive on (default='239.2.11.71')

-pINT      --mcast_port=INT
    Multicast port to send/receive on (default=8649)

-iSTRING   --mcast_if=STRING
    Network interface to multicast on e.g. 'eth1' (default='kernel decides')

-lINT      --mcast_ttl=INT
    Multicast Time-To-Live (TTL) (default=1)

AUTHOR
Matt Massie <massie@cs.berkeley.edu>

REPORTING BUGS
Report all bugs to the Ganglia SourceForge Page at https://sourceforge.net/tracker/?atid=434892&group_id=43021&func=browse

COPYRIGHT
Copyright (c) 2001 The Regents of the University of California. All rights reserved. Permission to use, copy, modify, and distribute this software and its documentation for any purpose, without fee, and without written agreement is hereby granted, provided that the above copyright notice and the following two paragraphs appear in all copies of this software. IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.